Dialog(3p)

NAME
Tk::Dialog - Create modal dialog and wait for a response.

SYNOPSIS

DESCRIPTION
This procedure is part of the Tk script library - its arguments describe a dialog box. After creating a dialog box, Dialog waits for the user to select one of the Buttons either by clicking on the Button with the mouse or by typing return to invoke the default Button (if any). Then it returns the text string of the selected Button.

While waiting for the user to respond, Dialog sets a local grab. This prevents the user from interacting with the application in any way except to invoke the dialog box. See the Show() method.

OPTIONS
The following option/value pairs are supported:

-title
    Text to appear in the window manager's title bar for the dialog.

-text
    Message to appear in the top portion of the Dialog.

-bitmap
    If non-empty, specifies a bitmap to display in the top portion of the Dialog, to the left of the text. If this is an empty string then no bitmap is displayed in the Dialog.

-default_button
    Text label string of the Button that displays the default ring.

-buttons
    A reference to a list of Button label strings. Each string specifies text to display in a Button, in order from left to right.

METHODS

$answer = $dialog->Show(?-global?);
    This method displays the Dialog, waits for the user's response, and stores the text string of the selected Button in $answer. If -global is specified a global (rather than local) grab is performed.

    The actual Dialog is shown using the Popup method. Any other options supplied to Show are passed to Popup, and can be used to position the Dialog on the screen. Please read Tk::Popup for details.

ADVERTISED WIDGETS
Because Tk::Dialog is a subclass of Tk::DialogBox it inherits all the advertised subwidgets of its superclass: e.g. "B_button-text", where 'button-text' is a Button's -text value. Additionally, Tk::Dialog advertises:

message
    The dialog's Label widget containing the message text.

bitmap
    The dialog's Label widget containing the bitmap image.

EXAMPLE
$dialog = $mw->Dialog(-text => 'Save File?', -bitmap => 'question', -title => 'Save File Dialog', -default_button => 'Yes', -buttons => [qw/Yes No Cancel/);

KEYWORDS
bitmap, dialog, modal, messageBox

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 18:
    Unterminated S<...> sequence